totem-gstreamer crashed with SIGSEGV in pa_stream_write()

Bug #204272 reported by Kivech on 2008-03-20
464
This bug affects 6 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned

Bug Description

Binary package hint: totem

All I did was visit a web page with Mozilla Firefox 3 beta 4 that had some macromedia components in them.

I'm running Ubuntu Hardy 64

ProblemType: Crash
Architecture: amd64
Date: Thu Mar 20 15:36:08 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/totem-gstreamer
NonfreeKernelModules: fglrx
Package: totem-gstreamer 2.22.0-0ubuntu2
PackageArchitecture: amd64
ProcCmdline: totem file:///home/username/Pictures/Mariska%20compleanno%202,%20Vicky/Mariska%20Birthday%202,%20Vicky%20194.mov
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: totem
StacktraceTop:
 ?? () from /usr/lib/libpulse.so.0
 ?? () from /usr/lib/libpulse.so.0
 pa_stream_write () from /usr/lib/libpulse.so.0
 ?? () from /usr/lib/gstreamer-0.10/libgstpulse.so
 ?? () from /usr/lib/libgstaudio-0.10.so.0
Title: totem-gstreamer crashed with SIGSEGV in pa_stream_write()
Uname: Linux 2.6.24-12-generic x86_64
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev video

StacktraceTop:pa_flist_pop (l=0xc6d270) at ./pulsecore/atomic.h:86
pa_pstream_send_memblock (p=0xd657d0, channel=0, offset=0,
pa_stream_write (s=0x6c0400, data=0xd9d9a0, length=312,
gst_pulsesink_write (asink=<value optimized out>, data=0xd9d9a0, length=1)
audioringbuffer_thread_func (buf=<value optimized out>) at gstaudiosink.c:226

Changed in totem:
importance: Undecided → Medium

Got the same crash just now only for closing totem while it was playing a .mov file.

Sebastien Bacher (seb128) wrote :

seems similar to bug #198414

Changed in pulseaudio:
importance: Medium → High
status: New → Confirmed
nullack (nullack) wrote :

Sebastien to advise that this is still occuring on the recent gstreamer updates to Intrepid

Salih EMIN (salih-emin) wrote :

WoW .... 28.6 MB bug report !!!! Hope it will be usefull !!

Miles Lane (miles-lane) wrote :

I got this error while viewing a MOV quicktime file.

Stefan Zaun (stefan-zaun) wrote :

I got the aforementioned error while listening to a MP3.

Steve Langasek (vorlon) wrote :

Does anyone who's seeing this bug find that it's consistently reproducible with a particular media file? If so, could you provide a pointer to that file?

Brian Murray (brian-murray) wrote :

I checked all the duplicates of this bug for test files that would be useful in recreating this bug report and did not find any.

No, I can't reproduce this, it does not consistently happen with one file for me.

I cannot reproduce it. It happens once in a while and I cannot
recognize the pattern. i usually get it during watching movies (.avi).

Regards,

Damjan

On Fri, Oct 17, 2008 at 2:45 AM, Steve Langasek
<email address hidden> wrote:
> Does anyone who's seeing this bug find that it's consistently
> reproducible with a particular media file? If so, could you provide a
> pointer to that file?
>
> --
> totem-gstreamer crashed with SIGSEGV in pa_stream_write()
> https://bugs.launchpad.net/bugs/204272
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "pulseaudio" source package in Ubuntu: Confirmed
> Status in pulseaudio in Ubuntu Intrepid: Confirmed
>
> Bug description:
> Binary package hint: totem
>
> All I did was visit a web page with Mozilla Firefox 3 beta 4 that had some macromedia components in them.
>
> I'm running Ubuntu Hardy 64
>
> ProblemType: Crash
> Architecture: amd64
> Date: Thu Mar 20 15:36:08 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/bin/totem-gstreamer
> NonfreeKernelModules: fglrx
> Package: totem-gstreamer 2.22.0-0ubuntu2
> PackageArchitecture: amd64
> ProcCmdline: totem file:///home/username/Pictures/Mariska%20compleanno%202,%20Vicky/Mariska%20Birthday%202,%20Vicky%20194.mov
> ProcEnviron:
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 11
> SourcePackage: totem
> StacktraceTop:
> ?? () from /usr/lib/libpulse.so.0
> ?? () from /usr/lib/libpulse.so.0
> pa_stream_write () from /usr/lib/libpulse.so.0
> ?? () from /usr/lib/gstreamer-0.10/libgstpulse.so
> ?? () from /usr/lib/libgstaudio-0.10.so.0
> Title: totem-gstreamer crashed with SIGSEGV in pa_stream_write()
> Uname: Linux 2.6.24-12-generic x86_64
> UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev video
>

Joachim R. (jro) wrote :

It happen for me (Hardy 64bits) on a lot of files every time I click on the [X] to close totem window while playing.
If I do nothing, playing seems ok.

I looked through all (visible) duplicate bug reports and it seems to be specific for amd64, none of the reports are on 32 bit systems.

goto (gotolaunchpad) wrote :

Yes, I am on AMD64, too.
Why is this bug actually filed against pulseaudio although apport told me that totem crashed?
I dunno if my coredump and so on were uploaded to this bug...
It crashed after closing a movie with the [x].
Anything I can do in order to help?

Daniel T Chen (crimsun) on 2009-01-04
Changed in pulseaudio:
status: Confirmed → In Progress
Daniel T Chen (crimsun) on 2009-02-14
Changed in pulseaudio:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu6

---------------
pulseaudio (0.9.14-0ubuntu6) jaunty; urgency=low

  * 0004_disable_autospawn.patch: Disable this patch. Doing so
    allows the daemon to spawn if not already running, which
    works around LP: #191027, #204272
  * 0012_clarify_driver_error_redirect_to_alsa_devs.patch:
    - Only log POLL* being set if tsched is used so that syslog
      isn't filled with innocuous messages when we set tsched=0
      (see 0030 below) (LP: #323712),
    - Hint 'linux' source package instead of 'alsa-driver' for
      Launchpad bug reports,
    - The debug-specific portion is only applicable to 0.9.14;
      0.9.15 enables a rate limiting module by default to work
      around this (and other) issues
  * 0029_fix_suspend_on_idle_null_race.patch: Handle sink case,
    too
  * 0030_set_tsched0.patch: Work around a shedload of (driver)
    bugs by falling back to interrupt-based buffer semantics
    (LP: #190754, #292880, #295519, #298494, #301755, #302964,
     LP: #319118, #323976, #324103, #326205, #326864)
  * Backport fixes from git HEAD:
    - 0031_fix_6chan_map.patch,
    - 0032_reinit_proplist.patch,
    - 0033_fix_pa-gcc-packedmalloc.patch,
    - 0034_bt_fixes.patch
  * Make invoking the stop target in the initscript not fail an
    upgrade (LP: #317921)
  * Previous upload (0.9.14-0ubuntu3) fixed LP: #321357
  * 01PulseAudio: use sudo -H to ensure that $HOME is, in fact,
    the user's when invoking pacmd for suspend/resume

 -- Daniel T Chen <email address hidden> Sun, 15 Feb 2009 02:35:26 -0500

Changed in pulseaudio:
status: Fix Committed → Fix Released
Jean-Paul (jeanpaul145) wrote :

This crash just happened to me. I'm running an Intrepid AMD64 system with all the latest updates installed.

Sergio Zanchetta (primes2h) wrote :

Thank you for reporting this bug to Ubuntu. Intrepid Ibex 8.10 reached EOL on 30 March 2010.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please feel free to report any other bugs you may find.
Thank you.

Changed in pulseaudio (Ubuntu Intrepid):
status: Confirmed → Won't Fix
Sergio Zanchetta (primes2h) wrote :

I realized I had made a mistake, Intrepid Ibex 8.10 "will reach" EOL on 30 "APRIL" 2010.

Sorry for this.

Anyway, I think that one month doesn't make any difference now.

To post a comment you must log in.